Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.render
Class ContainerRenderer306

    java.lang.Object
      |
      +--oracle.portal.provider.v2.render.PortletContainerRenderer
            |
            +--oracle.portal.provider.v2.render.DefaultContainerRenderer
                  |
                  +--oracle.portal.provider.v2.render.ContainerRenderer306

public class ContainerRenderer306
extends DefaultContainerRenderer

A ContainerRenderer306 is a utility class that renders the container for a portlet in the style of Oracle Portal v 3.0.6

Fields inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`ACTION_PARAM_NAME, CUSTOMIZE_FORM_NAME, DEFAULT_ACTION_PARAM, EDIT_FORM_NAME, HELP_URL, PORTLET_TITLE, PRINT_WRITER, RENDER_CUSTOMIZE, RENDER_MODE`

Constructor Summary
`ContainerRenderer306()`

Methods inherited from class oracle.portal.provider.v2.render.DefaultContainerRenderer
`renderAboutFooter, renderAboutFooter, renderAboutHeader, renderAboutHeader, renderDetailsFooter, renderDetailsFooter, renderDetailsHeader, renderDetailsHeader, renderEditDefaultsFooter, renderEditDefaultsFooter, renderEditDefaultsHeader, renderEditDefaultsHeader, renderEditFooter, renderEditFooter, renderEditHeader, renderEditHeader, renderHelpFooter, renderHelpFooter, renderHelpHeader, renderHelpHeader, renderPreviewFooter, renderPreviewFooter, renderPreviewHeader, renderPreviewHeader, renderShowFooter, renderShowFooter, renderShowHeader, renderShowHeader`

Methods inherited from class oracle.portal.provider.v2.render.PortletContainerRenderer
`renderPortletFooter, renderPortletFooter, renderPortletHeader, renderPortletHeader`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerRenderer306

    public ContainerRenderer306()

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.